> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alerty.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Integration

> this operations retrieves the user integration



## OpenAPI

````yaml GET /integration/{id}
openapi: 3.1.0
info:
  title: Lumos API
  version: 1.0.0
  description: Lumos RESTful API
  x-logo:
    url: >-
      https://zorp.zeetco.com/static/media/mark-white.8c3b78e3c878db1859b6319c98dc38b6.svg
    altText: Zeet Logo
  contact:
    email: support@zeet.co
servers:
  - url: https://api.alerty.ai
security: []
paths:
  /integration/{id}:
    get:
      summary: Retrieve an Integration
      description: this operations retrieves the user integration
      operationId: getIntegration
      parameters:
        - name: id
          description: the integration identifier
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          description: successful integration retrieval
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  schemas:
    UUID:
      description: Unique identifier for the entity
      type: string
      format: uuid
      example: 5df33a85-2b9c-40e3-8854-760ee3b8efc7
      x-go-name: ID
    Integration:
      allOf:
        - $ref: '#/components/schemas/BaseEntity'
        - type: object
          description: the integration information
          properties:
            type:
              $ref: '#/components/schemas/IntegrationType'
            class:
              $ref: '#/components/schemas/IntegrationClass'
            configuration:
              $ref: '#/components/schemas/IntegrationConfiguration'
          required:
            - type
            - class
            - configuration
    BaseEntity:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - createdAt
        - updatedAt
    IntegrationType:
      type: string
      description: the integration type
      enum:
        - SLACK
        - PAGERDUTY
        - EMAIL
      x-enumNames:
        - SlackIntegrationType
        - PagerDutyIntegrationType
        - EmailIntegrationType
    IntegrationClass:
      type: string
      description: the integration class
      enum:
        - NOTIFICATION
        - CLOUD_PROVIDER
      x-enumNames:
        - NotificationIntegrationClass
        - CloudProviderIntegrationClass
    IntegrationConfiguration:
      oneOf:
        - $ref: '#/components/schemas/SlackIntegrationConfiguration'
        - $ref: '#/components/schemas/EmailIntegrationConfiguration'
    ApiError:
      type: object
      properties:
        code:
          type: integer
          description: a custom Lumos error code
          format: uint64
          example: 1400
        field:
          type: string
          description: the field that this error is associated with, if applicable
          example: name
        description:
          type: string
          description: a description for this error
          example: A descriptive error message
      required:
        - description
    SlackIntegrationConfiguration:
      type: object
      description: the slack integration configuration
      properties:
        teamId:
          type: string
          description: the team ID associated with the integration/app
          x-go-name: TeamID
        accessToken:
          type: string
          description: the slack access token returned from the oauth
        incomingWebhookURL:
          type: string
          description: the slack incoming webhook url returned from the oauth
        channelID:
          type: string
          description: the default slack channel
      required:
        - teamId
        - accessToken
        - incomingWebhookURL
    EmailIntegrationConfiguration:
      type: object
      description: the email integration configuration
      properties:
        emailAddress:
          type: string
          description: the address to receive emails
        verificationCompletedAt:
          type: string
          format: date-time
          nullable: true
      required:
        - emailAddress
  responses:
    NotFound:
      description: The resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ServerError:
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: __lumos_session

````